MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030706Open CASCADE[OCCT] OCCT:Visualizationpublic2019-05-11 09:422019-06-22 16:22
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030706: Visualization - fetch font folder list from fontconfig library on Linux
Descriptionfontconfig is a standard library for querying fonts on Linux platform as well as tools for registering font paths. Font_FontMgr currently relies on hard-coded paths to font directories used by popular distros, but some Linux distributions might use another font locations. fontconfig also defines extra locations in user home folder.

Therefore, it is proposed using fontconfig for querying font folders on Linux platform.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030439verifiedbugmaster Visualization - extend fonts search within Font_FontMgr::FindFont() on Linux 

-  Notes
(0084292)
git (administrator)
2019-05-11 10:14

Branch CR30706 has been created by kgv.

SHA-1: 91bdcd59310c483ccbc78bd1b69246536c1489af


Detailed log of new commits:

Author: kgv
Date: Sat May 11 10:07:19 2019 +0300

    0030706: Visualization - fetch font folder list from fontconfig library on Linux
    
    vfont command now prints fonts in alphabetical order.
(0084311)
kgv (developer)
2019-05-13 17:30

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30706-master-KGV/ [^]
(0085122)
osa (developer)
2019-06-18 16:21

Reviewed without remarks
(0085162)
git (administrator)
2019-06-20 10:42

Branch CR30706 has been updated forcibly by kgv.

SHA-1: 0aade490f3a3b91e656b8780cfa1ddc307497c06
(0085163)
git (administrator)
2019-06-20 10:47

Branch CR30706 has been updated by kgv.

SHA-1: de7719c78a149d3ab0a2894b350b3cf3fb1b3aeb


Detailed log of new commits:

Author: kgv
Date: Thu Jun 20 10:46:35 2019 +0300

    # compatibility with prehistoric VS2008

(0085215)
git (administrator)
2019-06-22 16:22

Branch CR30706 has been deleted by inv.

SHA-1: de7719c78a149d3ab0a2894b350b3cf3fb1b3aeb

- Related Changesets
occt: master c9983ee8
Timestamp: 2019-05-11 07:07:19
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030706: Visualization - fetch font folder list from fontconfig library on Linux

vfont command now prints fonts in alphabetical order.
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/qmake/OccToolkit.pri Diff ] File ]
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/TKService/EXTERNLIB Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-05-11 09:42 kgv New Issue
2019-05-11 09:42 kgv Assigned To => kgv
2019-05-11 09:42 kgv Relationship added related to 0030439
2019-05-11 10:14 git Note Added: 0084292
2019-05-13 17:30 kgv Note Added: 0084311
2019-05-13 17:30 kgv Assigned To kgv => abv
2019-05-13 17:30 kgv Status new => resolved
2019-05-14 12:08 kgv Assigned To abv => osa
2019-06-17 14:46 kgv Assigned To osa => san
2019-06-18 13:48 kgv Assigned To san => osa
2019-06-18 16:21 osa Note Added: 0085122
2019-06-18 16:21 osa Assigned To osa => bugmaster
2019-06-18 16:21 osa Status resolved => reviewed
2019-06-19 19:44 bugmaster Test case number => Not required
2019-06-20 10:42 git Note Added: 0085162
2019-06-20 10:47 git Note Added: 0085163
2019-06-20 18:17 bugmaster Status reviewed => tested
2019-06-22 16:18 bugmaster Changeset attached => occt master c9983ee8
2019-06-22 16:18 bugmaster Status tested => verified
2019-06-22 16:18 bugmaster Resolution open => fixed
2019-06-22 16:22 git Note Added: 0085215


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker